// DirecrWriteDlg.cpp : implementation file
//

#include "stdafx.h"
#include "CheckTr.h"
#include "DirecrWriteDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDirecrWriteDlg dialog


CDirecrWriteDlg::CDirecrWriteDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CDirecrWriteDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDirecrWriteDlg)
	m_Other = _T("");
	m_First = _T("");
	m_Byte3 = _T("");
	m_Byte4 = _T("");
	m_Byte5 = _T("");
	m_Byte6 = _T("");
	m_Byte7 = _T("");
	m_Byte8 = _T("");
	m_ShowReport = FALSE;
	m_SendReport = FALSE;
	//}}AFX_DATA_INIT
}


void CDirecrWriteDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDirecrWriteDlg)
	DDX_Text(pDX, IDC_EDIT2, m_Other);
	DDX_Text(pDX, IDC_EDIT1, m_First);
	DDX_Text(pDX, IDC_EDIT3, m_Byte3);
	DDX_Text(pDX, IDC_EDIT4, m_Byte4);
	DDX_Text(pDX, IDC_EDIT5, m_Byte5);
	DDX_Text(pDX, IDC_EDIT6, m_Byte6);
	DDX_Text(pDX, IDC_EDIT7, m_Byte7);
	DDX_Text(pDX, IDC_EDIT8, m_Byte8);
	DDX_Check(pDX, IDC_SHOWREPORT, m_ShowReport);
	DDX_Check(pDX, IDC_SENDREPORT, m_SendReport);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDirecrWriteDlg, CDialog)
	//{{AFX_MSG_MAP(CDirecrWriteDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDirecrWriteDlg message handlers
